Subject: Re: sed 4.1.5 adds extra CR with input file path in Windows format
From: "Dave Kilroy" <[email-masked]>
To: "David Mastronarde" <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jun 2006 20:03:11 +0000

On 6/27/06, David Mastronarde wrote:
> On Sun, 25 Jun 2006, Dave wrote:
> > David Mastronarde wrote:
> >> After upgrading sed from 4.1.4 to 4.1.5, I found that line endings were
> >> being converted from CRLF to CRCRLF when the input file was specified
> >> with a windows file path:
> >>
> >> % sed -e 's/g5a/setname/g' < 'c:\cygwin\home\mast/sedtestin' > ! sedtestout
> >>
> >> Converting the path to cygwin format eliminated the problem.
> >
> > Have a read of http://cygwin.com/cygwin-ug-net/using-textbinary.html
> >
> > Try specifying the output file in MSDOS format, '.\sedtestout'.
>
> I don't see the distinction between the redirection and the writing, and
> also setting CYGWIN to nobinmode has no effect, so rule c does not seem to
> be relevant.

If you set CYGWIN=nobinmode, I believe you will get newline
conversions done across pipes. In your example, you are only using
redirections. I would advise that you don't set it.

> But also, specifying output as '.\sedtestout' did NOT solve the problem,
> even with nobinmode in effect.  So rule b is governing the input but is
> not being applied on output.

Works for me - see attached session output.

Dave.
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/